Skip to main content
POST
/
api
/
v1
/
llm
/
vector_stores
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.vectorStores.create({
    createVectorStoreRequest: {
      name: "Product Documentation",
      description: "Vector store for product manuals and documentation",
      fileIds: [
        "file-abc123",
      ],
      expiresAfter: {
        anchor: "last_active_at",
        days: 30,
      },
    },
  });

  console.log(result);
}

run();
{
  "id": "vs_abc123",
  "object": "vector_store",
  "created_at": 1704067200,
  "name": "Product Documentation",
  "usage_bytes": 1024000,
  "embedding_model": "openai:text-embedding-3-small",
  "embedding_dimensions": 1536,
  "file_counts": {
    "in_progress": 0,
    "completed": 5,
    "failed": 0,
    "cancelled": 0,
    "total": 5
  },
  "status": "completed",
  "last_active_at": 1704153600,
  "last_used_at": 1704153600,
  "metadata": {
    "department": "engineering"
  },
  "description": "Vector store for product manuals and docs",
  "expires_at": null
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Body

application/json

Request body for creating a vector store.

name
string

The name of the vector store.

description
string

A description for the vector store. Can be used to describe the vector store's purpose.

file_ids
string[]

A list of File IDs that the vector store should use. Useful for tools like file_search that can access files.

expires_after
object

The expiration policy for a vector store.

chunking_strategy
object

The chunking strategy used to chunk the file(s). If not set, will use the auto strategy. Only applicable if file_ids is non-empty.

metadata
object

Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

embedding_model
string

The embedding model to use. Defaults to the auto-configured model if not specified.

embedding_dimensions
integer

The number of dimensions for the embedding vectors. Only supported for models with flexible dimensions (e.g. text-embedding-3-small, text-embedding-3-large). If not specified, uses the model's default dimensions.

Required range: -9007199254740991 < x <= 9007199254740991

Response

200 - application/json

OK

A vector store is a collection of processed files that can be used by the file_search tool.

id
string
required

The identifier, which can be referenced in API endpoints.

object
any
required

The object type, which is always 'vector_store'.

created_at
integer
required

The Unix timestamp (in seconds) for when the vector store was created.

Required range: -9007199254740991 <= x <= 9007199254740991
name
string | null
required

The name of the vector store.

usage_bytes
integer
required

The total number of bytes used by the files in the vector store.

Required range: -9007199254740991 <= x <= 9007199254740991
embedding_model
string | null
required

The embedding model used for this vector store. Resolved at creation time from the requested or auto model. Null for legacy vector stores.

embedding_dimensions
integer | null
required

The number of dimensions for the embedding vectors in this vector store. Null for legacy vector stores.

Required range: 0 < x <= 9007199254740991
file_counts
object
required

File processing status counts.

status
enum<string>
required

The status of the vector store. 'expired' means the store has expired, 'in_progress' means files are still being processed, 'completed' indicates that the vector store is ready for use.

Available options:
expired,
in_progress,
completed
last_active_at
integer | null
required

The Unix timestamp (in seconds) for when the vector store was last active.

Required range: -9007199254740991 <= x <= 9007199254740991
metadata
object
required

Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.

last_used_at
integer | null
required

The Unix timestamp (in seconds) for when the vector store was last used.

Required range: -9007199254740991 <= x <= 9007199254740991
expires_after
object

The expiration policy for a vector store.

expires_at
integer | null

The Unix timestamp (in seconds) for when the vector store will expire.

Required range: -9007199254740991 <= x <= 9007199254740991
description
string | null

A description for the vector store. Can be used to describe the vector store's purpose.